Show / Hide Table of Contents

# Struct FileStreamReadResult

Represents a value returned from a read from a file stream. This is used to eliminate ref parameters used in the read methods.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution.DataStorage

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public struct FileStreamReadResult

### Constructors

| Improve this Doc View Source

#### FileStreamReadResult(DbCellValue, Int32)

Constructs a new FileStreamReadResult

##### Declaration

    public FileStreamReadResult(DbCellValue value, int totalLength)

##### Parameters

Type | Name | Description
--- | --- | ---
DbCellValue | value | The value of the result, ready for consumption by a client
System.Int32 | totalLength | The number of bytes for the used to store the value's length and value

### Properties

| Improve this Doc View Source

#### TotalLength

The total length in bytes of the value, (including the bytes used to store the length of the value)

##### Declaration

    public int TotalLength { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

##### Remarks

Cell values are stored such that the length of the value is stored first, then the value itself is stored. Eg, a string may be stored as 0x03 0x6C 0x6F 0x6C. Under this system, the value would be "lol", the length would be 3, and the total length would be 4 bytes.

| Improve this Doc View Source

#### Value

Value of the cell

##### Declaration

    public DbCellValue Value { get; set; }

##### Property Value

Type | Description
--- | ---
DbCellValue |